<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (12.0.2) on Tue Dec 17 23:50:58 CET 2019 -->
<title>TypeJeu</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-12-17">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TypeJeu";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":6,"i9":6,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeJeu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">jeu</a></div>
<h2 title="Class TypeJeu" class="title">Class TypeJeu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>jeu.TypeJeu</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public abstract class <span class="typeNameLabel">TypeJeu</span>
extends java.lang.Object</pre>
<div class="block">Design Pattern Strategy
 Concerne le Type du jeu</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(Controllers.DeplacementStrategy,Views.GraphiqueStrategy,jeu.GestionJeux)">TypeJeu</a></span>&#8203;(Controllers.DeplacementStrategy&nbsp;deplacementStrategy,
       Views.GraphiqueStrategy&nbsp;graphiqueStrategy,
       jeu.GestionJeux&nbsp;gestionJeux)</code></th>
<td class="colLast">
<div class="block">Permet la création d'un type de jeu</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#display()">display</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet la mise à jour de l'affichage</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>Controllers.DeplacementStrategy</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeplacementStrategy()">getDeplacementStrategy</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>jeu.GestionJeux</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGestionJeux()">getGestionJeux</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>Views.GraphiqueStrategy</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraphiqueStrategy()">getGraphiqueStrategy</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>Models.Jeu</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getJeu()">getJeu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>javafx.animation.AnimationTimer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTimer()">getTimer</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#initModeleJeu(Models.Jeu)">initModeleJeu</a></span>&#8203;(Models.Jeu&nbsp;jeu)</code></th>
<td class="colLast">
<div class="block">Permet d'initialisé le modéle Jeu</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPremierAffichage()">isPremierAffichage</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#preparerEnvironnementDeJeu()">preparerEnvironnementDeJeu</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de mettre l'interface de jeu
 Seulement dans un mode console</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#preparerEnvironnementDeJeu(Controllers.DeplacementStrategy)">preparerEnvironnementDeJeu</a></span>&#8203;(Controllers.DeplacementStrategy&nbsp;ds)</code></th>
<td class="colLast">
<div class="block">Permet de mettre l'interface du jeu (Affichage des grilles etc....)</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDeplacementStrategy(Controllers.DeplacementStrategy)">setDeplacementStrategy</a></span>&#8203;(Controllers.DeplacementStrategy&nbsp;deplacementStrategy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGestionJeux(jeu.GestionJeux)">setGestionJeux</a></span>&#8203;(jeu.GestionJeux&nbsp;gestionJeux)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGraphiqueStrategy(Views.GraphiqueStrategy)">setGraphiqueStrategy</a></span>&#8203;(Views.GraphiqueStrategy&nbsp;graphiqueStrategy)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setJeu(Models.Jeu)">setJeu</a></span>&#8203;(Models.Jeu&nbsp;jeu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setPremierAffichage(boolean)">setPremierAffichage</a></span>&#8203;(boolean&nbsp;premierAffichage)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTimer(javafx.animation.AnimationTimer)">setTimer</a></span>&#8203;(javafx.animation.AnimationTimer&nbsp;timer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#startTimer()">startTimer</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet le lancement du moteur de jeu</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#stopTimer()">stopTimer</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de stopper le moteur de jeu</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update()">update</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet la mise à jour du modéle</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(Controllers.DeplacementStrategy,Views.GraphiqueStrategy,jeu.GestionJeux)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TypeJeu</h4>
<pre>public&nbsp;TypeJeu&#8203;(Controllers.DeplacementStrategy&nbsp;deplacementStrategy,
               Views.GraphiqueStrategy&nbsp;graphiqueStrategy,
               jeu.GestionJeux&nbsp;gestionJeux)</pre>
<div class="block">Permet la création d'un type de jeu</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deplacementStrategy</code> - </dd>
<dd><code>graphiqueStrategy</code> - </dd>
<dd><code>gestionJeux</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="initModeleJeu(Models.Jeu)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initModeleJeu</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;initModeleJeu&#8203;(Models.Jeu&nbsp;jeu)</pre>
<div class="block">Permet d'initialisé le modéle Jeu</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jeu</code> - </dd>
</dl>
</li>
</ul>
<a id="update()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;update()</pre>
<div class="block">Permet la mise à jour du modéle</div>
</li>
</ul>
<a id="display()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;display()</pre>
<div class="block">Permet la mise à jour de l'affichage</div>
</li>
</ul>
<a id="preparerEnvironnementDeJeu(Controllers.DeplacementStrategy)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preparerEnvironnementDeJeu</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;preparerEnvironnementDeJeu&#8203;(Controllers.DeplacementStrategy&nbsp;ds)</pre>
<div class="block">Permet de mettre l'interface du jeu (Affichage des grilles etc....)
 Seulement dans un mode graphique</div>
</li>
</ul>
<a id="preparerEnvironnementDeJeu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>preparerEnvironnementDeJeu</h4>
<pre class="methodSignature">public abstract&nbsp;void&nbsp;preparerEnvironnementDeJeu()</pre>
<div class="block">Permet de mettre l'interface de jeu
 Seulement dans un mode console</div>
</li>
</ul>
<a id="startTimer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startTimer</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;startTimer()</pre>
<div class="block">Permet le lancement du moteur de jeu</div>
</li>
</ul>
<a id="stopTimer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopTimer</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;stopTimer()</pre>
<div class="block">Permet de stopper le moteur de jeu</div>
</li>
</ul>
<a id="getDeplacementStrategy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeplacementStrategy</h4>
<pre class="methodSignature">public&nbsp;Controllers.DeplacementStrategy&nbsp;getDeplacementStrategy()</pre>
</li>
</ul>
<a id="setDeplacementStrategy(Controllers.DeplacementStrategy)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeplacementStrategy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDeplacementStrategy&#8203;(Controllers.DeplacementStrategy&nbsp;deplacementStrategy)</pre>
</li>
</ul>
<a id="getGraphiqueStrategy()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphiqueStrategy</h4>
<pre class="methodSignature">public&nbsp;Views.GraphiqueStrategy&nbsp;getGraphiqueStrategy()</pre>
</li>
</ul>
<a id="setGraphiqueStrategy(Views.GraphiqueStrategy)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGraphiqueStrategy</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGraphiqueStrategy&#8203;(Views.GraphiqueStrategy&nbsp;graphiqueStrategy)</pre>
</li>
</ul>
<a id="getGestionJeux()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGestionJeux</h4>
<pre class="methodSignature">public&nbsp;jeu.GestionJeux&nbsp;getGestionJeux()</pre>
</li>
</ul>
<a id="setGestionJeux(jeu.GestionJeux)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGestionJeux</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGestionJeux&#8203;(jeu.GestionJeux&nbsp;gestionJeux)</pre>
</li>
</ul>
<a id="getTimer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimer</h4>
<pre class="methodSignature">public&nbsp;javafx.animation.AnimationTimer&nbsp;getTimer()</pre>
</li>
</ul>
<a id="setTimer(javafx.animation.AnimationTimer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimer</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTimer&#8203;(javafx.animation.AnimationTimer&nbsp;timer)</pre>
</li>
</ul>
<a id="isPremierAffichage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPremierAffichage</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isPremierAffichage()</pre>
</li>
</ul>
<a id="setPremierAffichage(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPremierAffichage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setPremierAffichage&#8203;(boolean&nbsp;premierAffichage)</pre>
</li>
</ul>
<a id="getJeu()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJeu</h4>
<pre class="methodSignature">public&nbsp;Models.Jeu&nbsp;getJeu()</pre>
</li>
</ul>
<a id="setJeu(Models.Jeu)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setJeu</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setJeu&#8203;(Models.Jeu&nbsp;jeu)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TypeJeu.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
